package com.ningdatech.carapi.archives.enums;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 证书操作
 *
 * @author PoffyZhang
 */
@Getter
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "CertOperTypeEnum", description = "证书操作-枚举")
public enum CertOperTypeEnum {
    /**
     * 申请
     */
    APPLICATION(1, "申请"),

    /**
     * 补换
     */
    REISSUE(2, "补换");

    /**
     * code
     */
    private Integer code;

    /**
     * 描述
     */
    private String desc;

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Integer getCode() {
        return this.code;
    }

    public boolean eq(String val) {
        return this.name().equals(val);
    }

}
